<?
	/** Obsługa zwijania i rozwijania menu.
	 * @author Michał Malinowski
	 * @package XPStudent
	 */

	 /** Potrzebna jest funkcja zczytujące informacje o zadaniach.
	 */
	 include './functions/Sdb.fun.php';

	/** Zwijanie i rozwijanie menu.
	 *
	 * Jeśli nie ma danych o zadaniach to je wczytujemy.
	 * @author Michał Malinowski
	 * @version 0.1
	 */
	function rolling($zaj_cyk, $op) {
		global $sess;

		$groups = &$_SESSION[$sess->name('Sgroups')];
		if (!isset($groups[$zaj_cyk]))
			return;
		if ($op == 'roll')
			$groups[$zaj_cyk]['unrolled'] = false;
		else if ($op == 'unroll') {
			if (!isset($groups[$zaj_cyk]['tasks']))
				readTasks($groups[$zaj_cyk], $zaj_cyk, $groups[$zaj_cyk]['gr_nr']);
			$groups[$zaj_cyk]['unrolled'] = true;
		}
	}

	rolling($_GET['S_zaj_cyk'], $_GET['S_op']);
?>
